﻿$ErrorActionPreference = 'Stop';


$packageName= 'dwarf-fortress'
#$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
#$fileLocation = Join-Path $toolsDir 'NAME_OF_EMBEDDED_ZIP_FILE'

$packageArgs = @{
  packageName   = $packageName
  #unzipLocation = $toolsDir
  url           = 'http://www.bay12games.com/dwarves/df_44_12_win32.zip' # download url, HTTPS preferred
  url64bit      = 'http://www.bay12games.com/dwarves/df_44_12_win.zip' # 64bit URL here (HTTPS preferred) or remove - if installer contains both (very rare), use $url
  #file         = $fileLocation
  #fileFullPath = $fileLocation
  destination   = "C:\opt\df"

  checksum      = 'ef98a150472531260315760a95fadb235c2b8b330f8cc0787bec6d22ff61b92f'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = '36d690dbf28b4a0d3a324a792acf7abac0a6983fdf7df9b6df4796886bec657d'
  checksumType64= 'sha256'
}

# https://chocolatey.org/docs/helpers-install-chocolatey-zip-package
Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -ShortcutFilePath "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Dwarf Fortress.lnk" `
 -TargetPath "C:\opt\df\Dwarf Fortress.exe" `
 -WorkingDirectory "C:\opt\df"
 
## Unzips a file to the specified location - auto overwrites existing content
## - https://chocolatey.org/docs/helpers-get-chocolatey-unzip
#Get-ChocolateyUnzip @packageArgs
